Qyra
ReferenceUntagged

Get MCP activity stats

Get aggregated MCP tool call stats for admin

GET/api/v1/aiAgents/admin/mcp-activity/stats

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
projectUuidsarray[string]No
userUuidsarray[string]No
agentUuidsarray[string]No
toolNamesarray[string]No
clientNamesarray[string]No
dateFromstringNo
dateTostringNo

Responses

200 — Success

{
  "results": {
    "recentErrors": [
      {
        "sessionGroup": {
          "errorCount": 0,
          "callCount": 0,
          "key": "string"
        },
        "sessionId": "string",
        "protocolVersion": "string",
        "authType": "string",
        "userAgent": "string",
        "clientVersion": "string",
        "clientName": "string",
        "durationMs": 0,
        "errorMessage": "string",
        "status": "success",
        "toolArgs": {},
        "toolName": "string",
        "agent": {
          "name": "string",
          "uuid": "string"
        },
        "project": {
          "name": "string",
          "uuid": "string"
        },
        "user": {
          "email": "string",
          "name": "string",
          "uuid": "string"
        },
        "createdAt": "string",
        "uuid": "string"
      }
    ],
    "agents": [
      {
        "count": 0,
        "agent": {
          "name": "string",
          "uuid": "string"
        }
      }
    ],
    "topTools": [
      {
        "count": 0,
        "toolName": "string"
      }
    ],
    "errorCalls": 0,
    "totalCalls": 0
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}